Bug 1745743 - skopeo image copy fails on first attempt
Summary: skopeo image copy fails on first attempt
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1605072
Blocks: 1805500
TreeView+ depends on / blocked
 
Reported: 2019-08-26 19:34 UTC by Eric Jones
Modified: 2020-05-04 11:13 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1605072
: 1805500 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:13:08 UTC
Target Upstream Version:
adam.kaplan: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift image-registry pull 220 None closed Bug 1745743: Implement retries when checking for blob presence. 2020-10-05 13:43:30 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:13:35 UTC

Comment 12 XiuJuan Wang 2020-02-19 11:08:25 UTC
I pushed ten images(200M+) to internal registry with S3 storage via skopeo(0.1.20) against 4.4.0-0.nightly-2020-02-18-164016 cluster, all don't meet the bug issue.
Could I mark this bug as verified?

e.g. http://pastebin.test.redhat.com/837337

Comment 13 Ricardo Maraschini 2020-02-19 15:16:05 UTC
I don't see why not. This is a problem that is quite hard to replicate and we are already planning for a definitive solution for it(the fix implemented here was to create retries, the definitive solution will involve a broader change and will require proper planning through JIRA).

Comment 14 XiuJuan Wang 2020-02-20 01:27:22 UTC
@Ricardo, Thanks
Move this bug to vefiried against 4.4.0-0.nightly-2020-02-18-164016 cluster with skopeo 0.1.20

Comment 16 errata-xmlrpc 2020-05-04 11:13:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.